# Contributing to PPDyn
We want to make contributing to this project as easy and transparent as possible.

## Our Development Process
We use GitHub to sync code to and from our internal repository. We'll use GitHub to track issues and feature requests, as well as accept pull requests.

## Pull Requests
We actively welcome your pull requests.
1. Fork the repo and create your branch from master.
2. If you've added code that should be tested, add tests.
3. Ensure the test suite passes.
4. Make sure your code lints.
<!--6. If you haven't already, complete the Contributor License Agreement ("CLA").-->

## Any contributions you make will be under the MIT Software License
When you submit code changes, your submissions are understood to be under the same MIT License that covers the project. Feel free to contact the maintainers if that's a concern.

## Issues
We use GitHub issues to track public bugs. Please ensure your description is clear and has sufficient instructions to be able to reproduce the issue.

## Coding Style
* tabs for indentation rather than 2 spaces
* 80 character line length

## License
By contributing to PPDyn, you agree that your contributions will be licensed under its MIT License.

## References
This document was adapted from the open-source contribution guidelines for [Facebook's Draft](https://github.com/facebook/draft-js/blob/a9316a723f9e918afde44dea68b5f9f39b7d9b00/CONTRIBUTING.md)

